## bible-kjv 4.00

=== Makefile ===
# -*-Fundamental-*-
###############################################################################
#
# File:         Makefile
# RCS:          $Header: Makefile,v 1.27 93/04/27 12:57:55 chip Exp $
# Description:  Makefile for Bible Retrieval System
# Author:       Chip Chapin, Hewlett Packard Company
# Created:      Thu Aug 24 17:26:25 1989
# Modified:     Tue Apr 27 12:57:45 1993 (Chip Chapin) chip@hpclbis
# Language:     make
# Package:      Bible Retrieval System
# Status:       Experimental (Do Not Distribute)
#
###############################################################################
#
# Revisions:
#
# Tue Apr 27 12:57:34 1993 (Chip Chapin) chip@hpclbis
#  Removed dependencies from "install" target.
###############################################################################
#
# $Log:	Makefile,v $
# Revision 1.27  93/04/27  12:57:55  12:57:55  chip (Chip Chapin)
# Removed dependencies from "install" target".
#
###############################################################################

# name of main program -- this determines a lot of other names
PROGRAM       = bible

# name of supplemental index file -- generated from raw data file
PROGINDEX     = $(PROGRAM)-index

README	      = README.$(PROGRAM)

# primary man page
MAN	      = $(PROGRAM).1

# raw data file
RAWDATA	      = $(PROGRAM).rawtext

# Derived data file.  Comes from processing raw data file.
DATA	      = $(PROGRAM).data

# Ninstall package
NINSTPKG      = $(PROGRAM).pkg

# where to install this stuff
DEST	      = /usr
#DEST	      = $(HOME)/local
DESTBIN	      = $(DEST)/bin
DESTLIB       = $(DEST)/lib
DESTMAN	      = $(DEST)/man
DESTMAN1      = $(DESTMAN)/man1

# I use environment variables for these...
#CFLAGS	      = -g
CFLAGS	      = -O2 -fwritable-strings -DDESTLIB=\"$(DESTLIB)\"

# release directories.  Nobody should care about this but me
FTPHOME	      = /mnt/ftp
RELEASEDIR    = $(FTPHOME)/pub/$(PROGRAM)
NINSTDIR      = /usr/adm/netdist
NINSTPKGDIR   = $(NINSTDIR)/packages

# This is only used by the author when making a new release ftp-able.
INSTALL	      = .do cp

LD	      = cc

MAKEFILE      = Makefile

PRINT	      = pr

SHELL	      = /bin/sh



###############################################################################
# Sources, objects, and tools
###############################################################################
# PROGOBJS and PROGSRCS are the components of the main program.
PROGOBJS      = $(PROGRAM).o \
		brl-index.o \
		brl.o \
		$(PROGINDEX).o \
		tsl.o \
    	    	util.o \
		compresslib.o

PROGSRCS      = $(PROGRAM).c \
		brl-index.c \
		brl.c \
		$(PROGINDEX).c \
		tsl.c \
    	    	util.c \
		compresslib.c

# TOOLOBJS and TOOLSRCS are objects and sources used in building TOOLS.
TOOLOBJS      = buildcmp.o \
		makeindex.o \
		makeconcfile.o \
		squish.o

TOOLSRCS      = buildcmp.c \
		makeindex.c \
		makeconcfile.c \
		squish.c

TOOLS	      = buildcmp squish makeindex makeconcfile

# TOOLS2 are additional scripts and data files used in constructing stuff.
TOOLS2	      = makeindex2 \
		makeconcordance \
		makeconc.pl \
		$(PROGRAM).stopwords

# HDRS lists all header files used by PROGRAM and TOOLS
HDRS	      = brl.h \
		brl-startverse.h \
		brl-startchapter.h \
		tsl.h \
		util.h \
		version.h


###############################################################################
# Distribution and version-control packages
###############################################################################
# SRCS includes all archivable sources except headers, both tools and program
SRCS	      = $(PROGSRCS) \
		$(TOOLSRCS) \
		$(TOOLS2)

# DOC includes all available program documentation
DOC	      = $(README) \
		README.ftp \
		$(MAN)

# List of files controlled by RCS
RCSFILES      = $(DOC) \
		$(SRCS) \
		$(HDRS) \
		$(MAKEFILE) \
		$(NINSTPKG) \
		testall

# PROGDIST contains only those files needed to build PROGRAM, plus doc.
PROGDIST      = $(HDRS) \
		$(PROGSRCS) \
		$(MAKEFILE) \
		$(DOC)

# DATADIST contains the fully-processed compressed data files
DATADIST      = $(DATA) $(DATA).conc

# TOOLSDIST contains all additional files needed to build a new
# version of this application from scratch, including re-processing data.
TOOLSDIST     = $(TOOLSRCS) \
		$(TOOLS2) \
		$(NINSTPKG) \
		testall 


###############################################################################
# TARGETS
###############################################################################
$(PROGRAM):	$(PROGOBJS)
		@echo "Linking $@ ..."
		@$(LD) $(LDFLAGS) $(PROGOBJS) -o $@
		@echo "done"


all:		$(PROGRAM) $(TOOLS) $(DATA) $(DATA).conc

buildcmp:	buildcmp.o compresslib.o util.o
		@echo "Linking $@ ..."
		@$(LD) $(LDFLAGS) $@.o compresslib.o util.o -o $@
		@echo "done"
		
squish:		squish.o
		@echo "Linking $@ ..."
		@$(LD) $(LDFLAGS) $@.o -o $@
		@echo "done"
		
makeindex:	makeindex.o
		@echo "Linking $@ ..."
		@$(LD) $(LDFLAGS) $@.o -o $@
		@echo "done"
		
makeconcfile:	makeconcfile.o util.o
		@echo "Linking $@ ..."
		@$(LD) $(LDFLAGS) $@.o util.o -o $@
		@echo "done"
		
brl-startverse.h brl-startchapter.h:	$(RAWDATA)
		./makeindex2 $(RAWDATA)


###############################################################################
# The nested makes are used on the following items to
# avoid establishing an explicit dependency on those files.
# Such a dependency causes lots of extra work.
$(DATA).conc:	$(PROGRAM).rawconcordance
		make makeconcfile
		./makeconcfile $@ < $(PROGRAM).rawconcordance

squish.stats squish.data:	$(RAWDATA)
		make squish
		if ./squish -w 65536 -v < $(RAWDATA) >squish.tmpdata; \
		then	mv squish.tmpdata squish.data; \
		else	rm squish.tmpdata squish.stats; fi
		

$(PROGINDEX).c:	$(RAWDATA)
		make makeindex
		./makeindex $(RAWDATA) > $@

$(DATA):	squish.stats squish.data
		make buildcmp
		./buildcmp
		mv squish.output $@


#
###############################################################################

# The next one ensures that $(PROGINDEX).c gets its dependency satisfied.
# Note that $(PROGINDEX).c is included in source distributions, while 
# $(RAWDATA) is NOT included in all distributions.  $(PROGINDEX).c does NOT 
# need to be rebuilt unless someone (probably me) has munged $(RAWDATA).
SAFEDATE = 0101000193
$(RAWDATA):
		@touch $(SAFEDATE) $@
		@if [ -r $(SAFEDATE) ]; then \
			/bin/rm $(SAFEDATE) $@; \
			if [ -x /usr/5bin/touch ]; then \
				/usr/5bin/touch $(SAFEDATE) $@; \
			else \
				# major kludge alert! ... \
				touch brl-startverse.h brl-startchapter.h; \
			fi; \
		fi
		@echo "  A dummy $(RAWDATA) file has been created."

# The dependency on $(RAWDATA) helps to ensure that the raw concordance file
# is not rebuilt unnecessarily.
$(PROGRAM).rawconcordance:	$(RAWDATA)
		@echo "To exclude \"stopwords\" from concordance use this:"
		@echo "     ./makeconc.pl bible.stopwords"
		@echo "NOTE: The next command will FAIL if you don't have PERL."
		@echo "  If it fails, edit Makefile to use this instead:"
		@echo "     ./makeconcordance"
		@echo "Here we go..."
		./makeconc.pl
#		./makeconcordance

$(MAN).gz:	$(MAN)
		/bin/rm $@
		gzip < $(MAN) > $(MAN).gz

clean:;		@rm -f $(PROGOBJS) $(TOOLOBJS) core

clobber:;	@rm -f $(PROGOBJS) $(TOOLOBJS) $(PROGRAM) $(TOOLS) $(DATA) \
			$(PROGINDEX).c squish.stats squish.data core tags

# depend:;	@mkmf -f $(MAKEFILE) ROOT=$(ROOT)

echo:;		@echo $(HDRS) $(SRCS)

index:;		@ctags -wx $(HDRS) $(SRCS)

print:;		@$(PRINT) $(HDRS) $(SRCS)

tags:           $(HDRS) $(SRCS); @ctags $(HDRS) $(SRCS)



###############################################################################
# Distribution Targets
###############################################################################
shar:		$(PROGRAM).shar $(DATA).shar $(PROGRAM)-tools.shar

$(PROGRAM).shar: $(PROGDIST)
		shar -cstem $(PROGDIST) > $<

$(DATA).shar:	$(DATADIST)
		shar -cstem $(DATADIST) > $<

$(PROGRAM)-tools.shar: $(TOOLSDIST)
		shar -cstem $(TOOLSDIST) > $<


TARFILES      =	$(PROGRAM).tar.Z \
		$(DATA).tar \
		$(PROGRAM)-tools.tar.Z \
		$(PROGRAM).rawtext.Z

tar:		$(TARFILES)

$(PROGRAM).tar.Z: $(PROGDIST)
		tar cvf $(PROGRAM).tar $(PROGDIST)
		compress $(PROGRAM).tar

$(DATA).tar:	$(DATADIST)
		tar cvf $@ $(DATADIST)

$(PROGRAM)-tools.tar.Z: $(TOOLSDIST)
		tar cvf $(PROGRAM)-tools.tar $(TOOLSDIST)
		compress $(PROGRAM)-tools.tar

# compress raw text data (without deleting uncompressed)
$(PROGRAM).rawtext.Z:	$(PROGRAM).rawtext
		compress <$(PROGRAM).rawtext >$@
		
linustape:	tar
		@echo "Writing Linus tape on device /dev/rct...\c"
		@echo $(TARFILES) | cpio -ocv | tcio -orveVS 8 /dev/rct
		@echo " done."

dattape:	tar
		@echo "Writing tar-format tape on device /dev/dat...\c"
		tar cvf /dev/dat README.ftp $(TARFILES)
		@echo " done."



###############################################################################
# Testing Targets
###############################################################################
stdresults:	test.results
		@echo "Storing Standard test results in test.stdresults...\c"
		@cp test.results test.stdresults
		@touch stdresults
		@echo " done."

test.results:	testall $(PROGRAM)
		@echo "Running Test Suite (results in test.results)...\c"
		@./testall > test.results 2>&1
		@echo " test suite completed"

test:		test.results test.stdresults
		@echo "Comparing results to standard results"
		@if diff -c test.results test.stdresults; \
		then echo "  results OK."; \
		else echo "  results differ.  Possible error."; fi


###############################################################################
# Release/Version Control/Installation Targets
# Except for "install" this will be of no interest to users other than 
# the author. 
###############################################################################
checkin:	$(RCSFILES)
		ci -l $?
		touch checkin

relcheckin:	checkin 
		@if [ "$(RELNAME)" = "" ]; \
		then echo "*** No RELNAME value specified ***"; \
		echo "*** Set RELNAME to release name and export it ***"; \
		exit 1; fi
		@if [ "$(CFLAGS)" != "-O" ]; \
		then echo "*** CFLAGS not set to -O for release ***"; \
		echo "*** Set CFLAGS to -O and export it ***"; \
		exit 1; fi
		rcs -n"$(RELNAME):" -sRel $(RCSFILES)
		echo "$(RELNAME)" > relcheckin

## $(RCSFILES):;	co $@

# The nested makes are here because the timestamps don't get updated
# correctly from the ci -l otherwise.
release:	relcheckin
		make all
		strip $(PROGRAM)
		make stdresults
		make tar
		make relinstall
		touch release

# The "relinstall" target puts all the pieces of a new release into place on 
# my home distribution machine.  Probably nobody else will want this...
relinstall: $(PROGRAM) $(DATA) $(DATA).conc $(TARFILES) \
	    $(MAN) $(README) README.ftp ninstall
		if hp9000s800;then $(INSTALL) $(PROGRAM) $(RELEASEDIR)/$(PROGRAM).hp-s800;fi
		$(INSTALL) $(DATA) $(RELEASEDIR)
		$(INSTALL) $(DATA).conc $(RELEASEDIR)
		$(INSTALL) $(TARFILES) $(RELEASEDIR)
		$(INSTALL) $(MAN) $(RELEASEDIR)
		$(INSTALL) $(README) $(RELEASEDIR)/$(README)
		$(INSTALL) README.ftp $(RELEASEDIR)/README.ftp

ninstall:	$(NINSTPKG)
		$(INSTALL) $(NINSTPKG) $(NINSTPKGDIR)
		.do $(NINSTDIR)/restartd

# The "install" target could be of general use.  That's why there are
# no explicit dependencies here.  They just confuse things...
install:
		@if [ ! -r $(DEST) ]; then mkdir $(DEST); fi
		@echo Installing $(PROGRAM) in $(DESTBIN)
		@-strip $(PROGRAM)
		@if [ ! -r $(DESTBIN) ]; then mkdir $(DESTBIN); fi
		@if [ $(DESTBIN) != . ]; then \
		((cd $(DESTBIN);rm -f $(PROGRAM)); \
		cp $(PROGRAM) $(DESTBIN)); \
		chown bin $(DESTBIN)/$(PROGRAM); \
		chgrp bin $(DESTBIN)/$(PROGRAM); \
		chmod 755 $(DESTBIN)/$(PROGRAM); fi
		@echo Installing $(DATA) and $(DATA).conc in $(DESTLIB)
		@if [ ! -r $(DESTLIB) ]; then mkdir $(DESTLIB); fi
		@if [ $(DESTLIB) != . ]; then \
		cp $(DATA) $(DATA).conc $(DESTLIB); \
		chown bin $(DESTLIB)/$(DATA) $(DESTLIB)/$(DATA).conc; \
		chgrp bin $(DESTLIB)/$(DATA) $(DESTLIB)/$(DATA).conc; \
		chmod 644 $(DESTLIB)/$(DATA) $(DESTLIB)/$(DATA).conc; fi

## bible-kjv 4.15

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ###############################################################################
 #
 # File:         Makefile
-# RCS:          $Header: Makefile,v 1.27 93/04/27 12:57:55 chip Exp $
+# RCS:          $Header: /home/matthew/cvs/bible-kjv-4.10/Makefile,v 2.8 2003/07/26 10:05:06 matthew Exp $
 # Description:  Makefile for Bible Retrieval System
 # Author:       Chip Chapin, Hewlett Packard Company
 # Created:      Thu Aug 24 17:26:25 1989
@@ -15,11 +15,34 @@
 #
 # Revisions:
 #
-# Tue Apr 27 12:57:34 1993 (Chip Chapin) chip@hpclbis
-#  Removed dependencies from "install" target.
-###############################################################################
-#
-# $Log:	Makefile,v $
+# $Log: Makefile,v $
+# Revision 2.8  2003/07/26 10:05:06  matthew
+# 4.15 release
+#
+# Revision 2.7  2003/01/09 13:29:08  matthew
+# Remove a bit more cruft with clean
+#
+# Revision 2.6  2003/01/08 19:18:31  matthew
+# add an -f flag to the rm -f squish.stats, so this doesnt barf
+#
+# Revision 2.5  2003/01/08 18:29:12  matthew
+# patch from IWJ to make this -j compatible
+#
+# Revision 2.4  2003/01/08 16:14:17  matthew
+# tidy up header a little
+#
+# Revision 2.3  2003/01/08 16:13:29  matthew
+# remove clobber target, and make clean target remove everything that should go
+#
+# Revision 2.2  2003/01/08 16:08:50  matthew
+# clean target now removes things created by makeindex2
+#
+# Revision 2.1  2003/01/08 15:50:53  matthew
+# applied debian patch
+#
+# Revision 2.0  2003/01/08 15:29:51  matthew
+# versions collected from the net
+#
 # Revision 1.27  93/04/27  12:57:55  12:57:55  chip (Chip Chapin)
 # Removed dependencies from "install" target".
 #
@@ -50,12 +73,13 @@
 #DEST	      = $(HOME)/local
 DESTBIN	      = $(DEST)/bin
 DESTLIB       = $(DEST)/lib
-DESTMAN	      = $(DEST)/man
+DESTMAN	      = $(DEST)/share/man
 DESTMAN1      = $(DESTMAN)/man1
 
 # I use environment variables for these...
 #CFLAGS	      = -g
-CFLAGS	      = -O2 -fwritable-strings -DDESTLIB=\"$(DESTLIB)\"
+CFLAGS	      = -Wformat -Werror -g2 -O2 -fwritable-strings -DDESTLIB=\"$(DESTLIB)\"
+LDFLAGS       = -lreadline
 
 # release directories.  Nobody should care about this but me
 FTPHOME	      = /mnt/ftp
@@ -74,7 +98,7 @@
 
 SHELL	      = /bin/sh
 
-
+MKDIR       = install -d
 
 ###############################################################################
 # Sources, objects, and tools
@@ -193,9 +217,10 @@
 		@$(LD) $(LDFLAGS) $@.o util.o -o $@
 		@echo "done"
 		
-brl-startverse.h brl-startchapter.h:	$(RAWDATA)
+brl-startverse.h:	$(RAWDATA)
 		./makeindex2 $(RAWDATA)
 
+brl-startchapter.h: brl-startverse.h
 
 ###############################################################################
 # The nested makes are used on the following items to
@@ -205,12 +230,13 @@
 		make makeconcfile
 		./makeconcfile $@ < $(PROGRAM).rawconcordance
 
-squish.stats squish.data:	$(RAWDATA)
+squish.data:	$(RAWDATA)
 		make squish
 		if ./squish -w 65536 -v < $(RAWDATA) >squish.tmpdata; \
 		then	mv squish.tmpdata squish.data; \
-		else	rm squish.tmpdata squish.stats; fi
-		
+		else	rm -f squish.tmpdata squish.stats; fi
+		
+squish.stats:	squish.data
 
 $(PROGINDEX).c:	$(RAWDATA)
 		make makeindex
@@ -259,9 +285,10 @@
 		/bin/rm $@
 		gzip < $(MAN) > $(MAN).gz
 
-clean:;		@rm -f $(PROGOBJS) $(TOOLOBJS) core
-
-clobber:;	@rm -f $(PROGOBJS) $(TOOLOBJS) $(PROGRAM) $(TOOLS) $(DATA) \
+clean:;		@rm -f $(PROGOBJS) $(TOOLOBJS) core brl-startverse.h brl-startchapter.h vrs2num.index $(PROGINDEX).c $(PROGRAM) $(TOOLS) $(DATADIST) squish.stats squish.data tags $(PROGRAM).rawconcordance $(PROGRAM).wordcounts
+
+#Don't use this. Use clean :-)
+#clobber:;	@rm -f $(PROGOBJS) $(TOOLOBJS) $(PROGRAM) $(TOOLS) $(DATA) \
 			$(PROGINDEX).c squish.stats squish.data core tags
 
 # depend:;	@mkmf -f $(MAKEFILE) ROOT=$(ROOT)
@@ -392,26 +419,3 @@
 		$(INSTALL) README.ftp $(RELEASEDIR)/README.ftp
 
 ninstall:	$(NINSTPKG)
-		$(INSTALL) $(NINSTPKG) $(NINSTPKGDIR)
-		.do $(NINSTDIR)/restartd
-
-# The "install" target could be of general use.  That's why there are
-# no explicit dependencies here.  They just confuse things...
-install:
-		@if [ ! -r $(DEST) ]; then mkdir $(DEST); fi
-		@echo Installing $(PROGRAM) in $(DESTBIN)
-		@-strip $(PROGRAM)
-		@if [ ! -r $(DESTBIN) ]; then mkdir $(DESTBIN); fi
-		@if [ $(DESTBIN) != . ]; then \
-		((cd $(DESTBIN);rm -f $(PROGRAM)); \
-		cp $(PROGRAM) $(DESTBIN)); \
-		chown bin $(DESTBIN)/$(PROGRAM); \
-		chgrp bin $(DESTBIN)/$(PROGRAM); \
-		chmod 755 $(DESTBIN)/$(PROGRAM); fi
-		@echo Installing $(DATA) and $(DATA).conc in $(DESTLIB)
-		@if [ ! -r $(DESTLIB) ]; then mkdir $(DESTLIB); fi
-		@if [ $(DESTLIB) != . ]; then \
-		cp $(DATA) $(DATA).conc $(DESTLIB); \
-		chown bin $(DESTLIB)/$(DATA) $(DESTLIB)/$(DATA).conc; \
-		chgrp bin $(DESTLIB)/$(DATA) $(DESTLIB)/$(DATA).conc; \
-		chmod 644 $(DESTLIB)/$(DATA) $(DESTLIB)/$(DATA).conc; fi

=== debian/changelog ===
bible-kjv (4.15) unstable; urgency=medium

  * Use newer stdarg.h instead of varargs.h (Closes: #195193)
  * Correct a few format-string errors
  * Remove debian/substvars in debian/rules clean target

 -- Matthew Vernon <matthew@debian.org>  Sat, 26 Jul 2003 10:28:31 +0100
	

bible-kjv (4.14) unstable; urgency=medium
 
  * Fix prototype of main() in buildcmp.c, and cause it to return
    correctly (Closes: #181986)

 -- Matthew Vernon <matthew@debian.org>  Sat, 22 Feb 2003 15:45:01 +0000
	

bible-kjv (4.13) unstable; urgency=medium

  * Make a couple of main()s return int (Closes: #178641)
  * include <stdlib.h> for malloc() (Closes: #179292)

 -- Matthew Vernon <matthew@debian.org>  Sat,  1 Feb 2003 02:47:32 +0000
	

bible-kjv (4.12) unstable; urgency=medium

  * Correct the failure to comment some things out after #endif 
    (Closes: #176998)

 -- Matthew Vernon <matthew@debian.org>  Tue, 16 Jan 2003 14:31:04 +0000
	

bible-kjv (4.11) unstable; urgency=medium

  * Turn makeindex2 into a bash script (Closes: #176550)

 -- Matthew Vernon <matthew@debian.org>  Mon, 13 Jan 2003 17:35:32 +0000
	

bible-kjv (4.10) unstable; urgency=low

  * Upstream have gone away, so take over this package
  * Include the bible.rawtext file in the source distribution and fix the
    brain-damage in the build system, so the data and concodence files are
    generated at build-time (Closes: #175780)
  * Fix typo in description (Closes: #124448)
  * Standardise to loving-kindness, since that's in the OED and the BCP
    (Closes: #120156) 

 -- Matthew Vernon <matthew@debian.org>  Wed,  8 Jan 2003 16:46:20 +0000
	

bible-kjv (4.00-13) unstable; urgency=low

  * Fixed bug in handling open-ended ranges (e.g. 4-); closes #152272
  * Implemented readline() support. Closes: #152273
    [Thanks to Daniel Martin <dtmartin2@earthlink.net> for the patches for
    both those bugs.]
  * Added Build-Depends line (dependency on libreadline4-dev).
  * Updated standards version to 3.5.6

 -- Oliver Elphick <olly@lfix.co.uk>  Mon,  8 Jul 2002 16:27:13 +0100

bible-kjv (4.00-12) unstable; urgency=low

  * Corrected bug in interpretation of "Phil" as Philippians - it was
    losing the chapter number.  Closes: #96580
  * bible-kjv now depneds on bible-kjv-text. Closes: #74621
  * Changed all "long" decalarations to "int" to avoic problems on
    Alpha.  Closes: #74910
  * Changed '\?' to '?' in the man page.  Closes: #50122
  * Added menu entry. Closes: #50123

 -- Oliver Elphick <olly@lfix.co.uk>  Mon,  7 May 2001 07:58:42 +0100

bible-kjv (4.00-11) unstable; urgency=low

  * Changed section from misc to doc. (The override file already did
    this.)

 -- Oliver Elphick <olly@lfix.co.uk>  Mon, 22 Jan 2001 20:04:28 +0000

bible-kjv (4.00-10) unstable; urgency=low

  * Fixed bug in corcordance for unique references where no search range is
    specified.  Closes: bug#63716

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Sun,  7 May 2000 17:50:15 +0100

bible-kjv (4.00-9) frozen unstable; urgency=low

  * Increased a buffer size which was causing very long verses to be truncated.
    Closes: bug#53701

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Thu, 30 Dec 1999 17:38:18 +0000

bible-kjv (4.00-8) unstable; urgency=low

  * Moved randverse program from verse package into this one
    Fixes bug#30863

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Sat, 19 Dec 1998 02:15:24 +0000

bible-kjv (4.00-7) frozen unstable; urgency=low

  * Edited manpage to change /usr/local/lib to /usr/lib. Fixes bug#22365.

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Tue, 12 May 1998 17:44:11 +0100

bible-kjv (4.00-6) unstable; urgency=low

  * Applied patch from James Troup <J.J.Troup@scm.brad.ac.uk> to make the
    text package _properly_ architecture-independent. Fixes bug#17663
  * Fixed syntax error in control file.

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Tue, 27 Jan 1998 22:56:08 +0000

bible-kjv (4.00-5) unstable; urgency=low

  * Split into bible-kjv-text and bible-kjv (static text and the program);
    fixes bug#14838
  * Uncompressed /usr/doc/bible-kjv/copyright;  fixes bug#14392

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Thu,  8 Jan 1998 22:48:54 +0000

bible-kjv (4.00-4) unstable; urgency=low

  * New maintainer

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Thu, 11 Dec 1997 17:35:24 +0000

bible-kjv (4.00-3) unstable; urgency=low

  * Build under hamm.
  * Retake package since I am still listed as maintainer.

 -- Christoph Lameter <clameter@debian.org>  Wed, 29 Oct 1997 16:04:45 -0800

bible-kjv (4.00-2) unstable; urgency=low

  * New maintainer
  * removed outdated location for copyright file
  * compressed docs and man pages

 -- Dale Scheetz <dwarf@polaris.net>  Sat, 19 Oct 1996 17:01:32 -0400

bible-kjv (4.00-1) unstable; urgency=high

  * Initial Release

 -- Christoph Lameter <clameter@debian.org>  Tue, 20 Sep 1996 14:51:46 +0800

Local variables:
mode: debian-changelog
End:
 

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=bible-kjv

build:
	$(checkdir)
	$(MAKE) all
	cd debian && gcc -g -O2 -o randverse randverse.c
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* bible debian/bible-kjv-text \
		debian/randverse debian/substvars randverse

binary-indep:	checkroot build
	$(checkdir)
	-rm -fr debian/tmp debian/bible-kjv-text/
	install -d debian/tmp/usr
	make install DEST=debian/tmp/usr
	install -d debian/bible-kjv-text debian/bible-kjv-text/DEBIAN
	install -m 755 debian/bible-kjv-text.postinst debian/bible-kjv-text/DEBIAN/postinst
	install -m 755 debian/bible-kjv-text.prerm debian/bible-kjv-text/DEBIAN/prerm
	cd debian/bible-kjv-text && install -d -m 775 `cat ../bible-kjv-text.dirs` 
	cp debian/copyright debian/bible-kjv-text/usr/share/doc/bible-kjv-text
	cp debian/changelog debian/bible-kjv-text/usr/share/doc/bible-kjv-text/changelog
	cp debian/text.readme debian/bible-kjv-text/usr/share/doc/bible-kjv-text/Debian.README
	gzip --best debian/bible-kjv-text/usr/share/doc/bible-kjv-text/Debian.README
	gzip --best debian/bible-kjv-text/usr/share/doc/bible-kjv-text/changelog
	cd debian/tmp && \
		mv `cat ../bible-kjv-text.files` ../bible-kjv-text/usr/lib
	dpkg-gencontrol -pbible-kjv-text -Pdebian/bible-kjv-text -isp
	chown -R root.root debian/bible-kjv-text
	chmod -R go=rX debian/bible-kjv-text
	dpkg --build debian/bible-kjv-text ..

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp debian/bible-kjv-text/
	install -d debian/tmp debian/tmp/DEBIAN
	install -m 755 debian/postinst debian/tmp/DEBIAN
	install -m 755 debian/prerm debian/tmp/DEBIAN
	install -m 755 debian/postrm debian/tmp/DEBIAN
	install -d debian/tmp/usr/share/doc/$(package)
	install -d debian/tmp/usr/share/man/man1
	install -d debian/tmp/usr/bin debian/tmp/usr/lib
	make install DEST=debian/tmp/usr
	install -s -m 755 debian/randverse debian/tmp/usr/bin
	install -s -m 755 bible debian/tmp/usr/bin
	install -m 644 debian/randverse.1 debian/tmp/usr/share/man/man1
	cp debian/notes debian/copyright debian/tmp/usr/share/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog
	cp README* debian/README* debian/tmp/usr/share/doc/$(package)
	install -m 755 -d debian/tmp/usr/lib/menu
	install -m 644 debian/menu     debian/tmp/usr/lib/menu/$(package)
	chmod a+r debian/tmp/usr/share/doc/$(package)/*
	gzip -9 debian/tmp/usr/share/doc/$(package)/*
	gunzip -9 debian/tmp/usr/share/doc/$(package)/copyright.gz
	gzip -9 debian/tmp/usr/share/man/man1/*
	cd debian/tmp && \
		rm `cat ../bible-kjv-text.files`
	dpkg-shlibdeps bible
	dpkg-gencontrol -pbible-kjv -Pdebian/tmp -isp
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

define checkdir
	test -f bible.c -a -f debian/rules
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## bible-kjv 4.18

=== debian/changelog ===
bible-kjv (4.18) unstable; urgency=high

  * #include more header files (Closes: #291782)

 -- Matthew Vernon <matthew@debian.org>  Sun, 23 Jan 2005 11:29:56 +0000
	

bible-kjv (4.17) unstable; urgency=high

  * Remove -Wtraditional, since it behaves differently on newer versions
    of gcc (Closes: #291750)

 -- Matthew Vernon <matthew@debian.org>  Sat, 22 Jan 2005 23:34:15 +0000
	

bible-kjv (4.16) unstable; urgency=low

  * Prototype the tsl functions properly
  * Remove some nested comments
  * Prototype all of bible.c, make main return int, etc.
  * Remove unused rcs_ident variables from several places
  * Move function prototypes into header files
  * #include system headers where needed (string.h, unistd.h, etc)
  * Return int for the length of uncompressed buffer not char
  * Remove the one instance of writing over a string (Closes: #285505)
  * Remove duplicate declarations of libc functions (Closes: #258508)
  * Code is now much more like ANSI, less like K+R
	
 -- Matthew Vernon <matthew@debian.org>  Sat, 22 Jan 2005 19:03:01 +0000
	

=== debian/control ===
Source: bible-kjv
Section: doc
Priority: optional
Maintainer: Matthew Vernon <matthew@debian.org>
Build-Depends: libreadline4-dev
Standards-Version: 3.5.6

Package: bible-kjv
Architecture: any
Depends: ${shlibs:Depends}, bible-kjv-text
Conflicts: verse (<= 0.20)
Suggests: verse
Description: King James Version of the Bible: user interface program.
 This package contains a text-retrieval program and user interface which is
 primarily designed to operate on the text and concordance of the King
 James translation of the Bible, although it could, in principle, be
 used for any text.  The search/browse engine allows searching and
 reading passages from scripture. Includes full concordance.
 .
 It would be nice if someone could set up a web interface for the bible.

Package: bible-kjv-text
Architecture: all
Depends: bible-kjv
Conflicts: bible-kjv (<< 4.00-5)
Description: King James Version of the Bible - text and concordance
 This package contains the King James Version of the Bible (translated in
 1611) which is and was widely used in the English speaking culture,
 together with a full concordance.
 .
 The text and concordance are compressed and require the bible-kjv package
 which contains a text-based user interface for accessing the text.

## bible-kjv 4.19

=== debian/changelog ===
bible-kjv (4.19) unstable; urgency=low

  * Non-maintainer upload.
  - Applied patch to fix FTBFS with gcc-4.0 from Andreas Jochens
    <aj@andaco.de>. (closes: #292956)
  - Changed build-dependency to libncurses5-dev since libncurses4-dev is no
    longer available.

 -- Rob Bradford <robster@debian.org>  Wed, 17 Aug 2005 21:36:05 +0100

## bible-kjv 4.20

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ###############################################################################
 #
 # File:         Makefile
-# RCS:          $Header: /home/matthew/cvs/bible-kjv-4.10/Makefile,v 2.8 2003/07/26 10:05:06 matthew Exp $
+# RCS:          $Header: /home/matthew/cvs/bible-kjv-4.10/Makefile,v 2.11 2005/01/22 23:31:01 matthew Exp $
 # Description:  Makefile for Bible Retrieval System
 # Author:       Chip Chapin, Hewlett Packard Company
 # Created:      Thu Aug 24 17:26:25 1989
@@ -16,6 +16,16 @@
 # Revisions:
 #
 # $Log: Makefile,v $
+# Revision 2.11  2005/01/22 23:31:01  matthew
+# Remove -traditional, since newer GCCs then object to ANSI
+# prototypes...
+#
+# Revision 2.10  2005/01/22 18:51:01  matthew
+# add more warnings
+#
+# Revision 2.9  2005/01/21 18:00:25  matthew
+# Remove -fwritable-strings
+#
 # Revision 2.8  2003/07/26 10:05:06  matthew
 # 4.15 release
 #
@@ -78,7 +88,7 @@
 
 # I use environment variables for these...
 #CFLAGS	      = -g
-CFLAGS	      = -Wformat -Werror -g2 -O2 -fwritable-strings -DDESTLIB=\"$(DESTLIB)\"
+CFLAGS	      = -Wall -Wformat -Werror -Wshadow -W -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wcast-align -Wcast-qual -Wbad-function-cast -Wpointer-arith -g2 -ggdb -DDESTLIB=\"$(DESTLIB)\"
 LDFLAGS       = -lreadline
 
 # release directories.  Nobody should care about this but me
@@ -409,13 +419,3 @@
 # The "relinstall" target puts all the pieces of a new release into place on 
 # my home distribution machine.  Probably nobody else will want this...
 relinstall: $(PROGRAM) $(DATA) $(DATA).conc $(TARFILES) \
-	    $(MAN) $(README) README.ftp ninstall
-		if hp9000s800;then $(INSTALL) $(PROGRAM) $(RELEASEDIR)/$(PROGRAM).hp-s800;fi
-		$(INSTALL) $(DATA) $(RELEASEDIR)
-		$(INSTALL) $(DATA).conc $(RELEASEDIR)
-		$(INSTALL) $(TARFILES) $(RELEASEDIR)
-		$(INSTALL) $(MAN) $(RELEASEDIR)
-		$(INSTALL) $(README) $(RELEASEDIR)/$(README)
-		$(INSTALL) README.ftp $(RELEASEDIR)/README.ftp
-
-ninstall:	$(NINSTPKG)

=== debian/changelog ===
bible-kjv (4.20) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link (Closes: #359367, #359369). 

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Wed, 12 Jul 2006 14:25:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
-Build-Depends: libreadline4-dev
+Build-Depends: libreadline5-dev
 Standards-Version: 3.5.6
 
 Package: bible-kjv

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	$(checkdir)
 	-rm -f build
 	-$(MAKE) clean
-	-rm `find . -name "*~"`
+	-rm -f `find . -name "*~"`
 	-rm -rf debian/tmp debian/files* bible debian/bible-kjv-text \
 		debian/randverse debian/substvars randverse

## bible-kjv 4.23

=== debian/changelog ===
bible-kjv (4.23) unstable; urgency=low

  * Remove obsolete Local variables section
  * #include <string.h> in bible.c - fixes Mac OS compilation failure
    (closes: #439735)

 -- Matthew Vernon <matthew@debian.org>  Tue, 11 Mar 2008 20:50:03 +0000

bible-kjv (4.22) unstable; urgency=low

  * Replace old sort +1 syntax with POSIX sort -k 2 (closes: #464267)
  * deal with nostrip DEB_BUILD_OPTION in debian/rules (closes: #436581)

 -- Matthew Vernon <matthew@debian.org>  Thu,  7 Feb 2008 20:50:11 +0000

bible-kjv (4.21) unstable; urgency=low
  
  * Note to NMUers - please number your versions -1,-2 etc...
  * fix capitalisation of Psa 92:1 (Closes: #458290)
  * Improve randverse(1) (thanks to Kevin Ryde) (Closes: #50126)
  
 -- Matthew Vernon <matthew@debian.org>  Tue, 15 Jan 2008 21:18:45 +0000
  

## bible-kjv 4.24

=== debian/changelog ===
bible-kjv (4.24) unstable; urgency=low

  * change build-depends to libreadline-dev (closes: #553733)

 -- Matthew Vernon <matthew@debian.org>  Sat, 28 Nov 2009 13:57:13 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
-Build-Depends: libreadline5-dev
+Build-Depends: libreadline-dev
 Standards-Version: 3.5.6
 
 Package: bible-kjv

## bible-kjv 4.24ubuntu1

=== debian/changelog ===
bible-kjv (4.24ubuntu1) lucid; urgency=low

  * brl.c: Fix format string error (and resulting FTBFS)
  * debian/control: Make bible-kjv-text recommend bible-kjv
    (closes: #382978)

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 08 Jan 2010 00:13:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bible-kjv
 Section: doc
 Priority: optional
-Maintainer: Matthew Vernon <matthew@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew Vernon <matthew@debian.org>
 Build-Depends: libreadline-dev
 Standards-Version: 3.5.6
 
@@ -21,7 +22,7 @@
 
 Package: bible-kjv-text
 Architecture: all
-Depends: bible-kjv
+Recommends: bible-kjv
 Conflicts: bible-kjv (<< 4.00-5)
 Description: King James Version of the Bible - text and concordance
  This package contains the King James Version of the Bible (translated in

## bible-kjv 4.26

=== debian/changelog ===
bible-kjv (4.26) unstable; urgency=low

  * add format strings to two *printf statements, patch from Andreas Moog
    (Closes: #631685)

 -- Matthew Vernon <matthew@debian.org>  Mon, 04 Jul 2011 17:50:50 +0100

bible-kjv (4.25) unstable; urgency=low

  * correct text of Psa50:17 (closes: #623629)
  * correct case of Psa70:1 (closes: #630153)
  * add LDADD (Ubuntu patch from Andreas Moog) (closes: #631606)
  * make bible-kjv-text only Recommend bible-kjv rather than depending on
    it, to remove the circular dependency (closes: #626321)

 -- Matthew Vernon <matthew@debian.org>  Sat, 25 Jun 2011 13:28:02 +0100

=== debian/rules ===
--- 
+++ 
@@ -61,9 +61,19 @@
 	install -d debian/tmp/usr/share/man/man1
 	install -d debian/tmp/usr/bin debian/tmp/usr/lib
 	make install DEST=debian/tmp/usr
-	install -s -m 755 debian/randverse debian/tmp/usr/bin
-	install -s -m 755 bible debian/tmp/usr/bin
-	install -m 644 debian/randverse.1 debian/tmp/usr/share/man/man1
+	#Is nostrip set in DEB_BUILD_OPTIONS?
+	case "$$DEB_BUILD_OPTIONS" in \
+	*nostrip*)\
+	install -m 755 debian/randverse debian/tmp/usr/bin && \
+	install -m 755 bible debian/tmp/usr/bin && \
+	install -m 644 debian/randverse.1 debian/tmp/usr/share/man/man1 \
+	;; \
+	*) \
+	install -s -m 755 debian/randverse debian/tmp/usr/bin && \
+	install -s -m 755 bible debian/tmp/usr/bin && \
+	install -m 644 debian/randverse.1 debian/tmp/usr/share/man/man1 \
+	;; \
+	esac
 	cp debian/notes debian/copyright debian/tmp/usr/share/doc/$(package)/.
 	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog
 	cp README* debian/README* debian/tmp/usr/share/doc/$(package)

## bible-kjv 4.27

=== debian/changelog ===
bible-kjv (4.27) unstable; urgency=low

  * Make build reproducible (patch from Chris Lamb) (Closes: #777294)

 -- Matthew Vernon <matthew@debian.org>  Sun, 17 May 2015 13:44:48 +0100

## bible-kjv 4.28

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,8 @@
 # I use environment variables for these...
 #CFLAGS	      = -g
 CFLAGS	      = -Wall -Wformat -Werror -Wshadow -W -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wcast-align -Wcast-qual -Wbad-function-cast -Wpointer-arith -g2 -ggdb -DDESTLIB=\"$(DESTLIB)\"
-LDFLAGS       = -lreadline
+LDFLAGS       = 
+LDADD         = -lreadline
 
 # release directories.  Nobody should care about this but me
 FTPHOME	      = /mnt/ftp
@@ -201,7 +202,7 @@
 ###############################################################################
 $(PROGRAM):	$(PROGOBJS)
 		@echo "Linking $@ ..."
-		@$(LD) $(LDFLAGS) $(PROGOBJS) -o $@
+		@$(LD) $(LDFLAGS) $(PROGOBJS) $(LDADD) -o $@
 		@echo "done"
 
 
@@ -418,4 +419,3 @@
 
 # The "relinstall" target puts all the pieces of a new release into place on 
 # my home distribution machine.  Probably nobody else will want this...
-relinstall: $(PROGRAM) $(DATA) $(DATA).conc $(TARFILES) \

=== debian/changelog ===
bible-kjv (4.28) unstable; urgency=low

  * patch from Adam Borowski to fix FTBFS on x32 (Closes: #700012)

 -- Matthew Vernon <matthew@debian.org>  Thu, 18 Feb 2016 18:34:45 +0000

=== debian/rules ===
--- 
+++ 
@@ -41,8 +41,8 @@
 	cp debian/copyright debian/bible-kjv-text/usr/share/doc/bible-kjv-text
 	cp debian/changelog debian/bible-kjv-text/usr/share/doc/bible-kjv-text/changelog
 	cp debian/text.readme debian/bible-kjv-text/usr/share/doc/bible-kjv-text/Debian.README
-	gzip --best debian/bible-kjv-text/usr/share/doc/bible-kjv-text/Debian.README
-	gzip --best debian/bible-kjv-text/usr/share/doc/bible-kjv-text/changelog
+	gzip --best -n debian/bible-kjv-text/usr/share/doc/bible-kjv-text/Debian.README
+	gzip --best -n debian/bible-kjv-text/usr/share/doc/bible-kjv-text/changelog
 	cd debian/tmp && \
 		mv `cat ../bible-kjv-text.files` ../bible-kjv-text/usr/lib
 	dpkg-gencontrol -pbible-kjv-text -Pdebian/bible-kjv-text -isp
@@ -80,9 +80,9 @@
 	install -m 755 -d debian/tmp/usr/lib/menu
 	install -m 644 debian/menu     debian/tmp/usr/lib/menu/$(package)
 	chmod a+r debian/tmp/usr/share/doc/$(package)/*
-	gzip -9 debian/tmp/usr/share/doc/$(package)/*
+	gzip -9 -n debian/tmp/usr/share/doc/$(package)/*
 	gunzip -9 debian/tmp/usr/share/doc/$(package)/copyright.gz
-	gzip -9 debian/tmp/usr/share/man/man1/*
+	gzip -9 -n debian/tmp/usr/share/man/man1/*
 	cd debian/tmp && \
 		rm `cat ../bible-kjv-text.files`
 	dpkg-shlibdeps bible

## bible-kjv 4.29

=== debian/changelog ===
bible-kjv (4.29) unstable; urgency=low

  * Add mandatory build-{arch,indep} targets to debian/rules (Closes: #821966)

 -- Matthew Vernon <matthew@debian.org>  Thu, 07 Jul 2016 08:23:41 +0100

## bible-kjv 4.29build1

=== debian/changelog ===
bible-kjv (4.29build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 11:58:44 +0000

## bible-kjv 4.30

=== debian/changelog ===
bible-kjv (4.30) unstable; urgency=medium

  * Fix string overflow bug found by gcc-8 (Closes: #897712)

 -- Matthew Vernon <matthew@debian.org>  Sat, 12 May 2018 10:03:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: bible-kjv
 Section: doc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthew Vernon <matthew@debian.org>
+Maintainer: Matthew Vernon <matthew@debian.org>
 Build-Depends: libreadline-dev
 Standards-Version: 3.5.6

## bible-kjv 4.30build1

=== debian/changelog ===
bible-kjv (4.30build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 19:58:10 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,10 @@
 	$(MAKE) all
 	cd debian && gcc -g -O2 -o randverse randverse.c
 	touch build
+
+build-arch: build
+
+build-indep: build
 
 clean:
 	$(checkdir)
@@ -104,4 +108,4 @@
 	$(checkdir)
 	test root = "`whoami`"
 
-.PHONY: binary binary-arch binary-indep clean checkroot
+.PHONY: binary binary-arch binary-indep clean checkroot build-arch build-indep

## bible-kjv 4.32

=== debian/changelog ===
bible-kjv (4.32) unstable; urgency=medium

  * Patch from Helmut Grohne to fix FTCBFS: (Closes: #947616)
    + Let dh_auto_build pass cross tools to make.
    + Additionally override LD.
    + Keep building the build tools for the build architecture.
    + Seed the compiler used for randverse from dpkg's buildtools.mk.
    + Use dh_strip as it uses the correct cross tool.

 -- Matthew Vernon <matthew@debian.org>  Sun, 21 Feb 2021 16:05:00 +0000

bible-kjv (4.31) unstable; urgency=medium

  * Relicence GPL-2 code to GPL-2+ (my code and that of Oliver
    Elphick, who has agreed) (Closes: #977639)
  * Bump standards-version

 -- Matthew Vernon <matthew@debian.org>  Thu, 24 Dec 2020 13:26:42 +0000

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,17 @@
 # dpkg-buildpackage in a package-independent way, and so these targets
 # are obsolete.
 
+include /usr/share/dpkg/architecture.mk
+-include /usr/share/dpkg/buildtools.mk
+
 package=bible-kjv
 
 build:
 	$(checkdir)
-	$(MAKE) all
-	cd debian && gcc -g -O2 -o randverse randverse.c
+	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_build -- bible-index.c bible.data bible.data.conc 'LD=$$(CC)'
+	rm -f *.o
+	dh_auto_build -- bible 'LD=$$(CC)'
+	cd debian && $(CC) -g -O2 -o randverse randverse.c
 	touch build
 
 build-arch: build
@@ -65,19 +70,10 @@
 	install -d debian/tmp/usr/share/man/man1
 	install -d debian/tmp/usr/bin debian/tmp/usr/lib
 	make install DEST=debian/tmp/usr
-	#Is nostrip set in DEB_BUILD_OPTIONS?
-	case "$$DEB_BUILD_OPTIONS" in \
-	*nostrip*)\
-	install -m 755 debian/randverse debian/tmp/usr/bin && \
-	install -m 755 bible debian/tmp/usr/bin && \
-	install -m 644 debian/randverse.1 debian/tmp/usr/share/man/man1 \
-	;; \
-	*) \
-	install -s -m 755 debian/randverse debian/tmp/usr/bin && \
-	install -s -m 755 bible debian/tmp/usr/bin && \
-	install -m 644 debian/randverse.1 debian/tmp/usr/share/man/man1 \
-	;; \
-	esac
+	install -m 755 debian/randverse debian/tmp/usr/bin
+	install -m 755 bible debian/tmp/usr/bin
+	install -m 644 debian/randverse.1 debian/tmp/usr/share/man/man1
+	dh_strip -p$(package) --tmpdir=debian/tmp
 	cp debian/notes debian/copyright debian/tmp/usr/share/doc/$(package)/.
 	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog
 	cp README* debian/README* debian/tmp/usr/share/doc/$(package)

## bible-kjv 4.34

=== debian/changelog ===
bible-kjv (4.34) unstable; urgency=medium

  * Check for error return value

 -- Matthew Vernon <matthew@debian.org>  Mon, 19 Jul 2021 12:36:43 +0100

bible-kjv (4.33) unstable; urgency=medium

  * Make the build not run in parallel 
  * Use bible.rawtext to build concordance (Closes: #991133)

 -- Matthew Vernon <matthew@debian.org>  Mon, 19 Jul 2021 12:10:28 +0100

## bible-kjv 4.34+deb11u1

=== debian/changelog ===
bible-kjv (4.34+deb11u1) bullseye; urgency=medium

  * Fix off-by-one-error in search (Closes: #1005856)

 -- Matthew Vernon <matthew@debian.org>  Wed, 16 Feb 2022 11:15:11 +0000

## bible-kjv 4.37

=== debian/changelog ===
bible-kjv (4.37) unstable; urgency=medium

  * Correct function signature of shortuniv_assign (Closes: #983989)

 -- Matthew Vernon <matthew@debian.org>  Tue, 12 Oct 2021 08:59:18 +0100

bible-kjv (4.36) unstable; urgency=medium

  * Add tests for use with autopkgtest

 -- Matthew Vernon <matthew@debian.org>  Sun, 22 Aug 2021 12:23:02 +0100

bible-kjv (4.35) unstable; urgency=medium

  * Fix off-by-one error in line numbers (and thus concordance)
  * Update release_version

 -- Matthew Vernon <matthew@debian.org>  Sat, 21 Aug 2021 18:02:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: doc
 Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
-Build-Depends: libreadline-dev
-Standards-Version: 3.5.6
+Build-Depends: libreadline-dev, debhelper-compat (= 12)
+Standards-Version: 4.5.1
 
 Package: bible-kjv
 Architecture: any
-Depends: ${shlibs:Depends}, bible-kjv-text
+Depends: ${shlibs:Depends}, ${misc:Depends}, bible-kjv-text
 Conflicts: verse (<= 0.20)
 Suggests: verse
 Description: King James Version of the Bible: user interface program.
@@ -21,6 +21,7 @@
 
 Package: bible-kjv-text
 Architecture: all
+Depends: ${misc:Depends}
 Recommends: bible-kjv
 Conflicts: bible-kjv (<< 4.00-5)
 Description: King James Version of the Bible - text and concordance

=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,9 @@
 
 build:
 	$(checkdir)
-	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_build -- bible-index.c bible.data bible.data.conc 'LD=$$(CC)'
+	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_build --no-parallel -- bible-index.c bible.data bible.data.conc 'LD=$$(CC)'
 	rm -f *.o
-	dh_auto_build -- bible 'LD=$$(CC)'
+	dh_auto_build --no-parallel -- bible 'LD=$$(CC)'
 	cd debian && $(CC) -g -O2 -o randverse randverse.c
 	touch build

## bible-kjv 4.38

=== debian/changelog ===
bible-kjv (4.38) unstable; urgency=medium

  * Patches from Vagrant Cascadian to use -ffile-prefix-map to make build
    reproducible (Closes: #1020813)

 -- Matthew Vernon <matthew@debian.org>  Fri, 30 Sep 2022 15:22:50 +0100

## bible-kjv 4.38build2

=== Makefile ===
--- 
+++ 
@@ -88,7 +88,7 @@
 
 # I use environment variables for these...
 #CFLAGS	      = -g
-CFLAGS	      = -Wall -Wformat -Werror -Wshadow -W -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wcast-align -Wcast-qual -Wbad-function-cast -Wpointer-arith -g2 -ggdb -DDESTLIB=\"$(DESTLIB)\"
+CFLAGS	      = -Wall -Wformat -Werror -Wshadow -W -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wcast-align -Wcast-qual -Wbad-function-cast -Wpointer-arith -g2 -ggdb -DDESTLIB=\"$(DESTLIB)\" -ffile-prefix-map=$(CURDIR)=.
 LDFLAGS       = 
 LDADD         = -lreadline

=== debian/changelog ===
bible-kjv (4.38build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:35:11 +1100

bible-kjv (4.38build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:52:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bible-kjv
 Section: doc
 Priority: optional
-Maintainer: Matthew Vernon <matthew@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew Vernon <matthew@debian.org>
 Build-Depends: libreadline-dev, debhelper-compat (= 12)
 Standards-Version: 4.5.1

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_build --no-parallel -- bible-index.c bible.data bible.data.conc 'LD=$$(CC)'
 	rm -f *.o
 	dh_auto_build --no-parallel -- bible 'LD=$$(CC)'
-	cd debian && $(CC) -g -O2 -o randverse randverse.c
+	cd debian && $(CC) -g -O2 -ffile-prefix-map=$(CURDIR)=. -o randverse randverse.c
 	touch build
 
 build-arch: build
